%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
# I don't want the unpackaged file check
%define _unpackaged_files_terminate_build 0
%define debug_package %{nil}

Name:           firstaidkit
Version:        0.3.2
Release:        2%{?dist}
Summary:        System analysis and rescue tool

Group:          Applications/System
License:        GPLv2+
Url:            http://firstaidkit.fedorahosted.org

# Get the source from:
#
# http://git.fedorahosted.org/git/?p=firstaidkit.git;a=snapshot;h=%{name}-%{version}-%{release};sf=tgz
#  or
# git clone git://git.fedorahosted.org/firstaidkit.git && make tarball

Source0:        %{name}-%{version}.tar.gz
Source3:        %{name}.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils
BuildRequires:  python-devel
BuildRequires:  python-setuptools-devel
BuildRequires:  python-tools
Requires:       newt
Requires:       %{name}-engine
Obsoletes:      %{name}-plugin-grub < %{version}

%description
A tool that automates simple and common system recovery tasks.


%package engine
Group:          Applications/System
Summary:        Core engine for firstaidkit
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description engine
Base engine files needed for the firstaidkit to work

%package devel
Group:          Applications/System
Summary:        Devel package for firstaidkit
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description devel
Provides the examples and requires firstaidkit without plugins.


%package plugin-all
Group:          Applications/System
Summary:        All firstaidkit plugins, and the gui
Requires:       %{name} = %{version}-%{release}
Requires:       %{name}-plugin-passwd
Requires:       %{name}-plugin-freespace
Requires:       %{name}-plugin-xserver
Requires:       %{name}-plugin-openscap
Requires:       %{name}-gui
Requires:       %{name}-plugin-mdadm-conf
Requires:       %{name}-plugin-key-recovery
#Requires:       %{name}-plugin-undelete-partitions
#Requires:       %{name}-plugin-rpm


%description plugin-all
This package provides all the necessary firstaidkit plugins.  It
probes the system and according to what it finds, it installs the
needed firstaidkit plugins.

%package gui
Group:          Applications/System
Summary:        FirstAidKit GUI
Requires:       %{name} = %{version}-%{release}
Requires:       pygtk2, pygtk2-libglade, zenity
BuildArch:      noarch

%description gui
This package contains the Gtk based FirstAidKit GUI

%package plugin-freespace
Group:          Applications/System
Summary:        FirstAidKit plugin to check free space
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description plugin-freespace
This FirstAidKit plugin checkes for sufficient free space on target drives.

%package plugin-passwd
Group:          Applications/System
Summary:        FirstAidKit plugin to manipulate passwd system
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description plugin-passwd
This FirstAidKit plugin automates the recovery of the root system
password.

%package plugin-openscap
Group:          Applications/System
Summary:        OpenSCAP plugin for FirstAidKit
Requires:       %{name} = %{version}-%{release}
Requires:       openscap-python >= 0.7.2
Requires:       openscap-content >= 0.7.2
BuildArch:      noarch

%description plugin-openscap
This FirstAidKit plugin interfaces the OpenSCAP library, which can be used to perform a security/configuration audit of running machine.


%package plugin-xserver
Group:          Applications/System
Summary:        FirstAidKit plugin to recover xserver configuration files
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description plugin-xserver
This FirstAidKit plugin automates the recovery of the xserver
configuration file xorg.conf.

%package plugin-mdadm-conf
Group:          Applications/System
Summary:        Firstaidkit plugin to diagnose software raid configuration file
Requires:       %{name} = %{version}-%{release}
Requires:       mdadm
BuildArch:      noarch

%description plugin-mdadm-conf
This plugin will assess the validity and existence of the mdadm.conf file.
The file will get replaced if any inconsistencies are found.

%package plugin-key-recovery
Group:          Applications/System
Summary:        Firstaidkit plugin to recover key encryption keys
Requires:       %{name} = %{version}-%{release}
Requires:       python-volume_key, python-nss
BuildArch:      noarch

%description plugin-key-recovery
This plugin helps recover encryption keys using a previously created escrow
packet.


%prep
%setup -q

%build
%{__python} setup.py build
%{__make} build


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

#languages
%find_lang %{name}

#docs
%{__install} -d $RPM_BUILD_ROOT%{_mandir}/man1
%{__install} -d $RPM_BUILD_ROOT%{_mandir}/man5
%{__install} -d $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}
%{__install} -p doc/firstaidkit-plugin.1 doc/firstaidkit.1 $RPM_BUILD_ROOT%{_mandir}/man1
%{__install} -p doc/firstaidkit.conf.5 $RPM_BUILD_ROOT%{_mandir}/man5
%{__install} -p COPYING $RPM_BUILD_ROOT%{_datadir}/doc/%name-%version/COPYING

#configuration
%{__install} -d $RPM_BUILD_ROOT%{_sysconfdir}/firstaidkit
%{__install} -p etc/firstaidkit/firstaidkit.conf $RPM_BUILD_ROOT%{_sysconfdir}/firstaidkit
%{__install} -p etc/firstaidkit/about $RPM_BUILD_ROOT%{_sysconfdir}/firstaidkit

#gui
%{__install} -d $RPM_BUILD_ROOT/usr/share/firstaidkit/frontend
%{__install} -p frontend/*.py  $RPM_BUILD_ROOT/usr/share/firstaidkit/frontend/
%{__install} -p frontend/*.glade  $RPM_BUILD_ROOT/usr/share/firstaidkit/frontend/
%{__install} -p frontend/*.gladep  $RPM_BUILD_ROOT/usr/share/firstaidkit/frontend/
%{__install} -p frontend/*.xml $RPM_BUILD_ROOT/usr/share/firstaidkit/frontend/
%{__install} -d $RPM_BUILD_ROOT/usr/share/icons
%{__install} -p images/FAK-bandaid.png $RPM_BUILD_ROOT/usr/share/icons/firstaidkit.png
desktop-file-install --vendor="fedora" --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE3}

#plugins arch independent and dependent
%{__install} -d $RPM_BUILD_ROOT/usr/share/firstaidkit/plugins
%{__install} -d $RPM_BUILD_ROOT%{_libdir}/firstaidkit/plugins

#examples
%{__install} -d $RPM_BUILD_ROOT/usr/share/firstaidkit/plugins/examples
%{__mv} -f plugins/plugin_examples $RPM_BUILD_ROOT/usr/share/firstaidkit/plugins/examples

%{__cp} -f plugins/passwd.py $RPM_BUILD_ROOT/usr/share/firstaidkit/plugins/
%{__cp} -f plugins/freespace.py $RPM_BUILD_ROOT/usr/share/firstaidkit/plugins/
%{__cp} -f plugins/openscap_plugin.py $RPM_BUILD_ROOT/usr/share/firstaidkit/plugins/
%{__cp} -f plugins/xserver.py $RPM_BUILD_ROOT/usr/share/firstaidkit/plugins/
%{__cp} -f plugins/mdadm_conf.py $RPM_BUILD_ROOT/usr/share/firstaidkit/plugins/
%{__cp} -f plugins/key_recovery.py $RPM_BUILD_ROOT/usr/share/firstaidkit/plugins/

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{_libdir}/firstaidkit
%dir %{_libdir}/firstaidkit/plugins
%dir /usr/share/firstaidkit
%dir /usr/share/firstaidkit/plugins

%files engine
%defattr(-,root,root,-)
%config %{_sysconfdir}/firstaidkit/about
# For noarch packages: sitelib
%{python_sitelib}/pyfirstaidkit
%{python_sitelib}/%{name}-%{version}-py?.?.egg-info
%{_bindir}/firstaidkit
%{_bindir}/firstaidkit-qs
%{_bindir}/firstaidkitrevert
%{_bindir}/firstaidkit-shell
%config(noreplace) %{_sysconfdir}/firstaidkit/firstaidkit.conf
%attr(0644,root,root) %{_mandir}/man1/firstaidkit.1.gz
%attr(0644,root,root) %{_mandir}/man5/firstaidkit.conf.5.gz
%attr(0644,root,root) %{_datadir}/doc/%name-%version/COPYING
%dir %{_datadir}/doc/%name-%version

%files gui
%defattr(-,root,root,-)
/usr/share/firstaidkit/frontend/*.py*
/usr/share/firstaidkit/frontend/*.glade
/usr/share/firstaidkit/frontend/*.xml
/usr/share/firstaidkit/frontend/*.gladep
/usr/share/icons/*.png
%{_datadir}/applications/*.desktop
%dir /usr/share/firstaidkit/frontend

%files devel
%defattr(-,root,root,-)
/usr/share/firstaidkit/plugins/examples
%attr(0644,root,root) %{_mandir}/man1/firstaidkit-plugin.1.gz

%files plugin-all
%defattr(-,root,root,-)

%files plugin-freespace
/usr/share/firstaidkit/plugins/freespace.py*

%files plugin-passwd
%defattr(-,root,root,-)
/usr/share/firstaidkit/plugins/passwd.py*

%files plugin-openscap
%defattr(-,root,root,-)
/usr/share/firstaidkit/plugins/openscap_plugin.py*

%files plugin-xserver
%defattr(-,root,root,-)
/usr/share/firstaidkit/plugins/xserver.py*

%files plugin-mdadm-conf
%defattr(-,root,root,-)
/usr/share/firstaidkit/plugins/mdadm_conf.py*

%files plugin-key-recovery
%defattr(-,root,root,-)
/usr/share/firstaidkit/plugins/key_recovery.py*



%changelog

